# Method __builtin.Nettle.Hash()->pbkdf1()

Method pbkdf1

  ``string` pbkdf1(`string` `password`, `string` `salt`, `int` `rounds`, `int` `bytes`)`

Description

  Password Based Key Derivation Function #1 from RFC 2898. This method is compatible with the one from PKCS#5 v1.5.

Parameter `password`
Parameter `salt`

  Password and salt for the keygenerator.

Parameter `rounds`

  The number of iterations to rehash the input.

Parameter `bytes`

  The number of bytes of output. Note that this has an upper limit of the size of a single digest.

Returns

  Returns the derived key.

Note

  RFC 2898 does not recommend this function for anything else than compatibility with existing applications, due to the limits in the length of the generated keys.

See also

  pbkdf2(), openssl_pbkdf(), `crypt_password()`